> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get unspent transaction outputs containing assets from a specific Cardano minting policy with asset details.

# UTxOs containing assets of specific policy



## OpenAPI

````yaml cardano/blockchain-indexer-api/openapi.json get /policy/{policy}/utxos
openapi: 3.0.3
info:
  title: Cardano - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Cardano.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.8.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
tags:
  - name: Maestro
paths:
  /policy/{policy}/utxos:
    get:
      tags:
        - Asset Policy
      summary: UTxOs containing assets of specific policy
      description: >-
        Returns UTxO references of UTxOs which contain some of at least one
        asset of the specified policy ID, each paired with a list of assets of
        the policy contained in the UTxO and the corresponding amounts
      operationId: policy_utxos
      parameters:
        - name: policy
          in: path
          description: Hex encoded policy ID
          required: true
          schema:
            type: string
        - name: count
          in: query
          description: The max number of results per page
          required: false
          schema:
            allOf:
              - type: integer
                default: 100
                minimum: 0
            nullable: true
        - name: order
          in: query
          description: >-
            The order in which the results are sorted (by slot at which UTxO was
            produced)
          required: false
          schema:
            allOf:
              - type: string
                default: asc
                enum:
                  - asc
                  - desc
            nullable: true
        - name: from
          in: query
          description: Return only UTxOs created on or after a specific slot
          required: false
          schema:
            type: integer
            format: int64
            nullable: true
            minimum: 0
        - name: to
          in: query
          description: Return only UTxOs created before a specific slot
          required: false
          schema:
            type: integer
            format: int64
            nullable: true
            minimum: 0
        - name: cursor
          in: query
          description: >-
            Pagination cursor string, use the cursor included in a page of
            results to fetch the next page
          required: false
          schema:
            type: string
            nullable: true
        - name: amounts-as-strings
          in: header
          description: Large numbers returned as strings if set to `true`
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: >-
            Returns UTxOs which contain assets of the given policy ID, with the
            asset names and amounts
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedPolicyUtxo'
              example:
                data:
                  - tx_hash: >-
                      eeb9fb2af9c6da4a06c27c1021c4f138ec6e02857c6181cee79599dec6c96404
                    index: 0
                    slot: 12722572
                    address: >-
                      addr_test1vpxa84r650wsmcm887kkwar5y7ek5yyrjvgfqd8a608s2vsdnutyy
                    assets:
                      - name: '6362544843'
                        amount: 100000000000000
                  - tx_hash: >-
                      eeb9fb2af9c6da4a06c27c1021c4f138ec6e02857c6181cee79599dec6c96404
                    index: 1
                    slot: 12722572
                    address: >-
                      addr_test1vrjpwhg7vlhck0ph5q0dpnkqferx3ltf0aqvy4qzn9m5v2gcvqhm8
                    assets:
                      - name: '6362544843'
                        amount: 320000000000000
                last_updated:
                  timestamp: '2022-10-10 20:25:28'
                  block_hash: >-
                    0e0cb28820d245261e693d950c19f782fd90c63d03df5cdfde4efbfd2ac1365a
                  block_slot: 32283585
                next_cursor: null
        '400':
          description: Malformed query parameters
        '500':
          description: Internal server error
components:
  schemas:
    PaginatedPolicyUtxo:
      type: object
      description: >-
        A paginated response. Pass in the `next_cursor` in a subsequent request
        as the `cursor` query parameter to fetch the next page of results.
      required:
        - data
        - last_updated
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/PolicyUtxo'
          description: Endpoint response data
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
        next_cursor:
          type: string
          description: Pagination cursor
          nullable: true
    PolicyUtxo:
      type: object
      description: UTxO which contains assets of a specific policy
      required:
        - tx_hash
        - index
        - slot
        - address
        - assets
      properties:
        address:
          type: string
          description: Address which controls the UTxO
        assets:
          type: array
          items:
            $ref: '#/components/schemas/AssetInPolicy'
          description: List of assets contained in the UTxO belonging to the policy
        index:
          type: integer
          description: UTxO transaction index
          minimum: 0
        slot:
          type: integer
          format: int64
          description: Absolute slot of block which produced the UTxO
          minimum: 0
        tx_hash:
          type: string
          description: UTxO transaction hash
    LastUpdated:
      type: object
      description: >-
        Details of the most recent block processed by the indexer (aka chain
        tip); that is, the data returned is correct as of this block in time.
      required:
        - timestamp
        - block_hash
        - block_slot
      properties:
        block_hash:
          type: string
          description: >-
            Hex-encoded hash of the most recently processed block (aka chain
            tip)
        block_slot:
          type: integer
          format: int64
          description: Absolute slot of the most recently processed block (aka chain tip)
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp of when the most recently processed block was minted
    AssetInPolicy:
      type: object
      description: Asset of a specific policy
      required:
        - name
        - amount
      properties:
        amount:
          $ref: '#/components/schemas/NumOrString'
        name:
          type: string
          description: Hex encoded asset name
    NumOrString:
      oneOf:
        - type: integer
          format: int64
          description: Unsigned 64-bit integer
          minimum: 0
        - type: integer
          description: Unsigned 128-bit integer
          minimum: 0
        - type: integer
          format: int64
          description: Signed 64-bit integer
        - type: number
          format: double
          description: 64-bit floating point number
        - type: string
          description: String representation of an integer or number
      description: >-
        Integer or number by default, or a string representation if the
        `amounts-as-strings` header is set to `true`
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````